package com.ss.android.ugc.aweme.base;

import X.1hK;
import X.2GH;
import android.content.Context;
import com.bytedance.covode.number.Covode;

public interface MainBusinessAbility extends 2GH {
    static {
        Covode.recordClassIndex(54111);
    }

    void LIZ(1hK r1, String str, Object obj);

    boolean LIZ();

    boolean LIZ(Context context);

    void LIZIZ(String str);

    boolean LIZIZ();

    boolean LIZJ();

    String LIZLLL();

    boolean LJ();

    void LJFF();

    String LJI();
}
